> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cashgram Status

> Use this API to get the status of the Cashgram created.



## OpenAPI

````yaml get /payout/v1/getCashgramStatus
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/getCashgramStatus:
    get:
      summary: Get Cashgram Status
      description: Use this API to get the status of the Cashgram created.
      operationId: get-cashgram-status1
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: cashgramId
          in: query
          description: ID of the Cashgram
          required: true
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_11'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_404_4'
      deprecated: false
components:
  schemas:
    inline_response_200_11:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: Cashgram details retrieved
        data:
          $ref: '#/components/schemas/inline_response_200_11_data'
    inline_response_404_4:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '404'
        message:
          type: string
          example: Cashgram with id JOHaN10 does not exists
    inline_response_200_11_data:
      type: object
      properties:
        cashgramStatus:
          type: string
          example: ACTIVE
        referenceId:
          type: integer
          example: 123456
          default: 0
        cashgramId:
          type: string
          example: JOHaN10
        cashgramLink:
          type: string
          example: http://csgr.am/abcdefg

````